/**
 * Copyright (c) 2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.objectweb.petals.tools.rmi.server.remote.implementations;

import static org.ow2.petals.commons.log.PetalsExecutionContext.FLOW_INSTANCE_ID_PROPERTY_NAME;
import static org.ow2.petals.commons.log.PetalsExecutionContext.FLOW_STEP_ENDPOINT_NAME_PROPERTY_NAME;
import static org.ow2.petals.commons.log.PetalsExecutionContext.FLOW_STEP_ID_PROPERTY_NAME;
import static org.ow2.petals.commons.log.PetalsExecutionContext.FLOW_STEP_INTERFACE_NAME_PROPERTY_NAME;
import static org.ow2.petals.commons.log.PetalsExecutionContext.FLOW_STEP_OPERATION_NAME_PROPERTY_NAME;
import static org.ow2.petals.commons.log.PetalsExecutionContext.FLOW_STEP_SERVICE_NAME_PROPERTY_NAME;

import org.ow2.petals.commons.log.FlowLogData;
import org.ow2.petals.commons.log.TraceCode;

/**
 * @author Christophe DENEUX - Linagora
 */
public final class ConsumeFlowStepBeginLogDataImpl extends FlowLogData {

    private static final long serialVersionUID = -112699860152711072L;

    public ConsumeFlowStepBeginLogDataImpl(final String flowInstanceId, final String flowStepId,
            final String flowInterfaceName, final String flowServiceName, final String flowEndpointName,
            final String flowOperationName) {
        super(TraceCode.CONSUME_EXT_FLOW_STEP_BEGIN);
        putData(FLOW_INSTANCE_ID_PROPERTY_NAME, flowInstanceId);
        putData(FLOW_STEP_ID_PROPERTY_NAME, flowStepId);
        putData(FLOW_STEP_INTERFACE_NAME_PROPERTY_NAME, flowInterfaceName);
        putData(FLOW_STEP_SERVICE_NAME_PROPERTY_NAME, flowServiceName);
        putData(FLOW_STEP_ENDPOINT_NAME_PROPERTY_NAME, flowEndpointName);
        putData(FLOW_STEP_OPERATION_NAME_PROPERTY_NAME, flowOperationName);
    }
}
